from cont_modules import *

# csv_wrapper = read_api_to_wrapper()

# write_csv_from_list(construct_ID('api_out', 'ALL'), csv_wrapper)

csv_wrapper = read_csv_to_list_wrapper('./%s' % construct_ID('api_out', 'ALL'))

collections = split_collection(csv_wrapper)

for collection_code in collections:
    run_algorithm('api_out', collection_code, collections[collection_code])